/*
 * Copyright (c) 2018-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.pgn;

/**
 * PGNConstants
 *
 * @author Dmitry Samoshin aka gotty
 */
public final class PGNConstants {

    public static final int PGN_DEF_LINE_LENGTH = 80;
    public static final int PGN_MAX_LINE_LENGTH = 255;

    public static final String PGN_SPACE = " ";
    public static final String PGN_CRLF = "\n";

    public static final String PGN_DETECT_REGEX = "^\\[Event \"[^\"]+\"\\]$";

    public static final String WHITE_MOVE_FORMAT = "%d.%s";
    public static final String BLACK_MOVE_FORMAT = "%s";
    public static final String BLACK_MOVE_DOT_FORMAT = "%d...%s";

    public static final String COMMENT_FORMAT = "{%s}";
    public static final String VARIATION_FORMAT = "(%s)";

    private PGNConstants() {
        throw new AssertionError(
                String.format("No %s instances!", getClass().getName())
        );
    }

}
