/*
 * Copyright (c) 2018-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.pgn;

import org.hedgecode.chess.pgn.entity.Game;
import org.hedgecode.chess.pgn.token.Tokenizer;
import org.hedgecode.chess.pgn.entity.DetailGame;
import org.hedgecode.chess.position.ParseException;

/**
 * PGNParser
 *
 * @author Dmitry Samoshin aka gotty
 */
public class PGNParser {

    public static Game parse(String pgn) throws ParseException {
        Game game = new DetailGame();
        Tokenizer pgnTokenizer = new Tokenizer(pgn);
        while (pgnTokenizer.hasToken()) {
            pgnTokenizer.token(game);
        }
        return game;
    }

}
