/*
 * Copyright (c) 2018-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.pgn.format;

import java.util.Date;
import java.util.List;
import java.util.Map;

import org.hedgecode.chess.pgn.entity.Move;
import org.hedgecode.chess.pgn.entity.Tag;

/**
 * PGNFormat
 *
 * @author Dmitry Samoshin aka gotty
 */
public interface PGNFormat<Format extends MovesFormat> {

    String format();

    void addTag(Tag tag, String value);

    void addTags(Map<String, String> tags);

    String getTag(Tag tag);

    void addMoves(String moves);

    void addMoves(Move[] moves);

    void addMoves(List<Move> moves);

    Format movesFormat();

    String formatDate(Date date);

    String formatTime(Date time);

}
