/*
 * Copyright (c) 2018-2019. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.img;

/**
 * Store of image constants.
 *
 * @author Dmitry Samoshin aka gotty
 */
public final class ImageConstants {

    public static final String RESOURCE_ROOT_DIR = "/";

    public static final String RESOURCE_IMAGES_DIR = "images";
    public static final String RESOURCE_SQUARES_DIR = "squares";
    public static final String RESOURCE_PIECES_DIR = "pieces";

    public static final String DARK_SQUARE_FILENAME = "dark";
    public static final String LIGHT_SQUARE_FILENAME = "light";
    public static final String BOARD_FILENAME = "board";

    public static final String LOCALE_BUNDLE_FILE = "org.hedgecode.chess.img.LocalStrings";

    private ImageConstants() {
        throw new AssertionError(
                "No ImageConstants instances!"
        );
    }

}
